#!/usr/bin/perl

my $conffile = "/etc/dbconfig-common/webcalendar.conf";
open (CONF, "< $conffile")
  or die "Cannot open configuration file $conffile";

my $dbdir = "/usr/share/webcalendar/www/includes";
my $basepath;
my $dbname;

while (<CONF>) {
    if (/dbc_basepath='(.*)'/) {
        $basepath = $1;
    }
    if (/dbc_dbname='(.*)'/) {
        $dbname = $1;
    }
    last if defined $basepath and defined $dbname;
}

my $tables = "/usr/share/webcalendar/www/install/sql/tables-sqlite.php";
open (TABLES, "< $tables")
  or die "Cannot open SQL tables file $tables";

my $command = "sqlite3 $basepath/$dbname";

open (SQLITE, "| $command")
  or die "Cannot run '$command'";

while (<TABLES>) {
    if (/sqlite_query\([^"]*"([^"]+)"/) {
        print SQLITE "$1;\n";
    }
}

close SQLITE;
